<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.platform.base (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.platform.base (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/normalization/package-summary.html">Prev Package</a></li>
<li><a href="../../../../org/gradle/platform/base/binary/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/platform/base/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<p><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
</p>
<h1 title="Package" class="title">Package&nbsp;org.gradle.platform.base</h1>
<div class="docSummary">
<div class="block">General purpose types for runtime support.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/Application.html" title="interface in org.gradle.platform.base">Application</a></td>
<td class="colLast">
<div class="block">A software application.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ApplicationBinarySpec.html" title="interface in org.gradle.platform.base">ApplicationBinarySpec</a></td>
<td class="colLast">
<div class="block">A binary produced from a `<a href="../../../../org/gradle/platform/base/ApplicationSpec.html" title="interface in org.gradle.platform.base"><code>ApplicationSpec</code></a>`.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ApplicationSpec.html" title="interface in org.gradle.platform.base">ApplicationSpec</a></td>
<td class="colLast">
<div class="block">A specification of a <a href="../../../../org/gradle/platform/base/Application.html" title="interface in org.gradle.platform.base"><code>Application</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a></td>
<td class="colLast">
<div class="block">A physical binary artifact, which can run on a particular platform or runtime.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/BinaryContainer.html" title="interface in org.gradle.platform.base">BinaryContainer</a></td>
<td class="colLast">
<div class="block">A container for project binaries, which represent physical artifacts that can run on a particular platform or runtime.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a></td>
<td class="colLast">
<div class="block">Represents a binary that is the result of building a component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/BinaryTasksCollection.html" title="interface in org.gradle.platform.base">BinaryTasksCollection</a></td>
<td class="colLast">
<div class="block">A collection of tasks associated to a binary</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a></td>
<td class="colLast">
<div class="block">A software component that is built by Gradle.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ComponentSpecContainer.html" title="interface in org.gradle.platform.base">ComponentSpecContainer</a></td>
<td class="colLast">
<div class="block">A container of software components.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/DependencySpec.html" title="interface in org.gradle.platform.base">DependencySpec</a></td>
<td class="colLast">
<div class="block">A dependency onto a Gradle component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/DependencySpecBuilder.html" title="interface in org.gradle.platform.base">DependencySpecBuilder</a></td>
<td class="colLast">
<div class="block">A builder of a <a href="../../../../org/gradle/platform/base/DependencySpec.html" title="interface in org.gradle.platform.base"><code>DependencySpec</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/DependencySpecContainer.html" title="interface in org.gradle.platform.base">DependencySpecContainer</a></td>
<td class="colLast">
<div class="block">A container for dependency specifications.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/GeneralComponentSpec.html" title="interface in org.gradle.platform.base">GeneralComponentSpec</a></td>
<td class="colLast">
<div class="block">A general purpose component specification, that can be used to represent some software component built from source and producing
 multiple output variants.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/Library.html" title="interface in org.gradle.platform.base">Library</a></td>
<td class="colLast">
<div class="block">A library that can be linked into or depended on by another software element.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/LibraryBinaryDependencySpec.html" title="interface in org.gradle.platform.base">LibraryBinaryDependencySpec</a></td>
<td class="colLast">
<div class="block">A dependency onto a specific binary of a library published by a project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base">LibraryBinarySpec</a></td>
<td class="colLast">
<div class="block">A binary produced from a `<a href="../../../../org/gradle/platform/base/LibrarySpec.html" title="interface in org.gradle.platform.base"><code>LibrarySpec</code></a>`.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/LibrarySpec.html" title="interface in org.gradle.platform.base">LibrarySpec</a></td>
<td class="colLast">
<div class="block">A specification of a <a href="../../../../org/gradle/platform/base/Library.html" title="interface in org.gradle.platform.base"><code>Library</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ModuleDependencySpec.html" title="interface in org.gradle.platform.base">ModuleDependencySpec</a></td>
<td class="colLast">
<div class="block">A dependency onto a module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ModuleDependencySpecBuilder.html" title="interface in org.gradle.platform.base">ModuleDependencySpecBuilder</a></td>
<td class="colLast">
<div class="block">A builder of a <a href="../../../../org/gradle/platform/base/ModuleDependencySpec.html" title="interface in org.gradle.platform.base"><code>ModuleDependencySpec</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/Platform.html" title="interface in org.gradle.platform.base">Platform</a></td>
<td class="colLast">
<div class="block">The platform or runtime that a binary is designed to run on.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base">PlatformAwareComponentSpec</a></td>
<td class="colLast">
<div class="block">Defines Platform specific operations for ComponentSpecs</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/PlatformContainer.html" title="interface in org.gradle.platform.base">PlatformContainer</a></td>
<td class="colLast">
<div class="block">A container of <a href="../../../../org/gradle/platform/base/Platform.html" title="interface in org.gradle.platform.base"><code>Platform</code></a>s.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ProjectDependencySpec.html" title="interface in org.gradle.platform.base">ProjectDependencySpec</a></td>
<td class="colLast">
<div class="block">A dependency onto a library published by a project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ProjectDependencySpecBuilder.html" title="interface in org.gradle.platform.base">ProjectDependencySpecBuilder</a></td>
<td class="colLast">
<div class="block">A builder of a <a href="../../../../org/gradle/platform/base/ProjectDependencySpec.html" title="interface in org.gradle.platform.base"><code>ProjectDependencySpec</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/SourceComponentSpec.html" title="interface in org.gradle.platform.base">SourceComponentSpec</a></td>
<td class="colLast">
<div class="block">Represents some component whose implementation can be represented as a collection of source files, and whose other
 outputs are built from this source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ToolChain.html" title="interface in org.gradle.platform.base">ToolChain</a></td>
<td class="colLast">
<div class="block">A set of compilers that are used together to construct binaries.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ToolChainRegistry.html" title="interface in org.gradle.platform.base">ToolChainRegistry</a>&lt;P extends <a href="../../../../org/gradle/platform/base/Platform.html" title="interface in org.gradle.platform.base">Platform</a>,T extends <a href="../../../../org/gradle/platform/base/ToolChain.html" title="interface in org.gradle.platform.base">ToolChain</a>&gt;</td>
<td class="colLast">
<div class="block">A Provider of <a href="../../../../org/gradle/platform/base/ToolChain.html" title="interface in org.gradle.platform.base"><code>ToolChain</code></a>s.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/TransformationFileType.html" title="interface in org.gradle.platform.base">TransformationFileType</a></td>
<td class="colLast">
<div class="block">The type of a file of a transformation</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/TypeBuilder.html" title="interface in org.gradle.platform.base">TypeBuilder</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">A TypeBuilder to configure the registration of a type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/VariantComponent.html" title="interface in org.gradle.platform.base">VariantComponent</a></td>
<td class="colLast">
<div class="block">A component that has one or more mutually exclusive variants.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base">VariantComponentSpec</a></td>
<td class="colLast">
<div class="block">Represents a component spec that is made up of one or more mutually exclusive variants.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/InvalidModelException.html" title="class in org.gradle.platform.base">InvalidModelException</a></td>
<td class="colLast">
<div class="block">Thrown when a component model is declared in an invalid way.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ModelInstantiationException.html" title="class in org.gradle.platform.base">ModelInstantiationException</a></td>
<td class="colLast">
<div class="block">Thrown when a model element cannot be instantiated for some reason.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Annotation Types Summary table, listing annotation types, and an explanation">
<caption><span>Annotation Types Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Annotation Type</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/BinaryTasks.html" title="annotation in org.gradle.platform.base">BinaryTasks</a></td>
<td class="colLast">
<div class="block">Declares the tasks to build a custom <a href="../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base"><code>BinarySpec</code></a> binary.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ComponentBinaries.html" title="annotation in org.gradle.platform.base">ComponentBinaries</a></td>
<td class="colLast">
<div class="block">Declares the binaries that should be built for a custom <a href="../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base"><code>ComponentSpec</code></a> type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/ComponentType.html" title="annotation in org.gradle.platform.base">ComponentType</a></td>
<td class="colLast">
<div class="block">Declares a custom <a href="../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base"><code>ComponentSpec</code></a> type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/platform/base/Variant.html" title="annotation in org.gradle.platform.base">Variant</a></td>
<td class="colLast">
<div class="block">Declares that a property represents a variant dimension.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.platform.base Description">Package org.gradle.platform.base Description</h2>
<div class="block">General purpose types for runtime support.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/normalization/package-summary.html">Prev Package</a></li>
<li><a href="../../../../org/gradle/platform/base/binary/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/platform/base/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
